# Jobs

## Get jobs

 - [GET /job/list](https://docs.treasure.ai/apis/td_api_v3-public/jobs/getjobs.md): Retrieves a list of jobs.

## Get job

 - [GET /job/show/{job_id}](https://docs.treasure.ai/apis/td_api_v3-public/jobs/getjobbyid.md): Retrieves a list of jobs with specified job id.

## Get job status by id

 - [GET /job/status/{job_id}](https://docs.treasure.ai/apis/td_api_v3-public/jobs/getjobstatusbyid.md): Show the status information of the given job id at last execution as well as other related information.

## Get job status by domain_key

 - [GET /job/status_by_domain_key/{domain_key}](https://docs.treasure.ai/apis/td_api_v3-public/jobs/getjobstatusbydomainkey.md): Checks the status of a job using the domain key.

## Get job statistics by id

 - [GET /job/statistics/{job_id}](https://docs.treasure.ai/apis/td_api_v3-public/jobs/getjobstatisticsbyid.md): Show the statistics of the job, including records inserted.

## Create job

 - [POST /job/issue/{job_type}/{database_name}](https://docs.treasure.ai/apis/td_api_v3-public/jobs/createjob.md): Creates a job of a given type under a specified database.

## kill job by id

 - [POST /job/kill/{job_id}](https://docs.treasure.ai/apis/td_api_v3-public/jobs/killjobbyid.md): Stops a specified job ID.

## Set result export

 - [POST /job/result_export/{job_id}](https://docs.treasure.ai/apis/td_api_v3-public/jobs/setresultexport.md): Sets the results of a specified job ID.

## Create export job

 - [POST /export/run/{database_name}/{table_name}](https://docs.treasure.ai/apis/td_api_v3-public/jobs/createexportjob.md): Creates an export job.

## Get job results

 - [GET /job/result/{job_id}](https://docs.treasure.ai/apis/td_api_v3-public/jobs/getjobresults.md): Retrieves job results.

